<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:la="http://www.la-solutions.co.uk/standards"
  version="1.0" >

  <xsl:output method="html" />

  <!-- Stylesheet copyright (C) 2005...2007   LA Solutions Ltd -->
  <!-- Updated on 12-Dec-2007                            -->
  <!-- Converts XML from LogRefs to HTML                 -->
  <!-- Creates a list of reference files                 -->

  <!-- Top level is reference-file-log                   -->
  <xsl:template match="/" >
		<html>
			<head>
				<title>Reference Attachment Report</title>
				<link rel="stylesheet" type="text/css" href="Reference.css" />
			</head>
			<body>
		  	<table width="100%" >
		   		<tr valign="top" ><th align="left" >Reference File List</th> <th align="right" ><span class="la" >LA Solutions</span></th></tr>
		  	</table>
				<hr />
				
			  <xsl:apply-templates select="//reference-file-log/master-file" />
			  
		  	<hr />
		
		  	<!--
		  	<table width="100%" >
		  		<caption align="bottom" >Configuration Variable Values</caption>
		    	<tr><th align="left" width="20%" >Variable</th> <th align="left" >Value</th></tr>
		    	<tr><td><code>MS_DEF</code></td> <td><code><xsl:value-of select="//reference-file-log/master-file/ms-def" /></code> </td> </tr>
		    	<tr><td><code>MS_RFDIR</code></td> <td><code><xsl:value-of select="//reference-file-log/master-file/ms-rfdir" /></code> </td> </tr>
		  	</table>
		  	
		  	<hr />
				-->
				
		  	<table width="100%" >
		  		<caption align="bottom" >Configuration Variable Values</caption>
		    	<tr valign="top" ><th align="left" width="20%" >Variable</th> <th align="left" >Value</th></tr>
			  	<xsl:apply-templates select="//reference-file-log/configuration-variable" />
		  	</table>
		  	
		  	<hr />
		
		  	<table width="100%" >
		    	<tr>
		    	<th align="left" ><em>Reference Logger</em>  <xsl:text> </xsl:text><!-- space --> <xsl:value-of select="//reference-file-log/copyright" /></th> 
		    	<th align="right" >Contact <a href="http://www.la-solutions.co.uk" >LA Solutions</a></th></tr>
		  	</table>
		  	
    	</body>
  	</html>
  </xsl:template>

	<!-- Log configuration variables found								 -->
	<xsl:template match="//reference-file-log/configuration-variable" >
		<tr valign="top" >
			<td><code><xsl:value-of select="name" /></code></td> <td><code><xsl:value-of select="path" /></code></td>
		</tr>
  </xsl:template>
	
  <!-- Extract master file name and search for children  -->
  <xsl:template match="//reference-file-log/master-file" >
  	<h3>Master File '<xsl:value-of select="path" />'</h3>
  	<xsl:choose>
  	  <xsl:when test="0=count(dgn-files/file)" >
  			<p>
  	  		There are no reference files.
  			</p>
  	  </xsl:when>
  	  <xsl:when test="1=count(dgn-files/file)" >
   			<!-- single-row table -->
 	  		<table width="100%" >
  	  		<caption align="bottom" >There is one reference file</caption>
  	  		<tr valign="top" ><th>No.</th> <th>Attach Name</th> <th>Expanded Path</th> <th>Description</th> <th>Logical Name</th></tr>
  				<xsl:apply-templates select="dgn-files/file" />
  	  	</table>
  	  </xsl:when>
  	  <xsl:otherwise>
  			<!-- multi-row table -->
  	  	<table width="100%" >
   	  		<caption align="bottom" >There are <xsl:value-of select="count(dgn-files/file)" /> directly attached reference files</caption>
 	  			<tr valign="top" ><th>No.</th> <th>Attach Name</th> <th>Expanded Path</th> <th>Description</th> <th>Logical Name</th></tr>
  				<xsl:apply-templates select="dgn-files/file" />
  	  	</table>
  	  </xsl:otherwise>
  	</xsl:choose>
 		
  </xsl:template>

	<!-- Extract reference information  -->
	<xsl:template match="dgn-files/file" >
		<tr valign="top" >
		  <!-- No.  |  Attach Name | Expanded Path  | Description  |  Logical  -->
		  <xsl:choose>
		  	<xsl:when test="attach-name/@found='False'" >
					<td><xsl:value-of select="index" /></td> <td><span class="not-found" ><xsl:value-of select="attach-name" /></span></td> <td><span class="not-found" >File not found</span></td> <td><xsl:value-of select="descr" /></td> <td><xsl:value-of select="logical" /></td> 
		  	</xsl:when>
		  	<xsl:when test="attach-name/@self-reference='True'" >
					<td><xsl:value-of select="index" /></td> <td><span class="self-reference" ><xsl:value-of select="attach-name" /></span></td> <td><span class="self-reference" >Self Reference</span></td> <td><xsl:value-of select="descr" /></td> <td><xsl:value-of select="logical" /></td> 
		  	</xsl:when>
		  	<xsl:when test="attach-name/@absolute-path='True'" >
					<td><xsl:value-of select="index" /></td> <td><span class="absolute-path" ><xsl:value-of select="attach-name" /></span></td> <td><span class="absolute-path" >Attached using full path</span></td> <td><xsl:value-of select="descr" /></td> <td><xsl:value-of select="logical" /></td> 
		  	</xsl:when>
		  	<xsl:when test="attach-name/@relative-path='True'" >
					<td><xsl:value-of select="index" /></td> <td><span class="relative-path" ><xsl:value-of select="attach-name" /></span></td> <td><span class="relative-path" ><xsl:value-of select="path" /></span></td> <td><xsl:value-of select="descr" /></td> <td><xsl:value-of select="logical" /></td> 
		  	</xsl:when>
		  	<xsl:otherwise>
					<td><xsl:value-of select="index" /></td> <td><xsl:value-of select="attach-name" /></td> <td><xsl:value-of select="path" /></td> <td><xsl:value-of select="descr" /></td> <td><xsl:value-of select="logical" /></td> 
		  	</xsl:otherwise>		  	
		  </xsl:choose>
		</tr>
  </xsl:template>
	

</xsl:stylesheet>
